%define upstream_name Contact_AddressBook
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.5.1
Release:     	%mkrel 1
Summary:    	Address book export-import class
License: 	BSD License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Contact_AddressBook-%{version}.tgz
URL: 		http://pear.php.net/package/Contact_AddressBook
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear >= 1.4.0b1
Requires:	php-pear-File >= 1.2.1
Requires:	php-pear-Net_UserAgent_Detect >= 2.0.1
BuildArch: 	noarch

%description
Package provide export-import address book mechanism. Contact_AddressBook
refers to needed structure, convert the various address book structure
format into it, then you can easily to store it into file, database or
another storage media.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Contact_AddressBook.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Contact_AddressBook.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Contact_AddressBook
fi

%files
%defattr(-,root,root)
%doc docs/Contact_AddressBook/*
%{peardir}/*
%{xmldir}/Contact_AddressBook.xml


%changelog

* Sat Feb 11 2012 spuhler <spuhler> 0.5.1-1.mga2
+ Revision: 207492
- upgrade to 0.5.1
  pearized spec file

* Sun Jan 30 2011 spuhler <spuhler> 0.5.0-6.mga1
+ Revision: 44605
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Contact_AddressBook

